> ## Documentation Index
> Fetch the complete documentation index at: https://docs.evermind.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Trigger Strategy

> Manually trigger a registered OME strategy and wait for completion.



## OpenAPI

````yaml /api-reference/openapi-oss.json post /api/v1/ome/trigger
openapi: 3.1.0
info:
  title: everos
  description: md-first memory extraction framework
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/ome/trigger:
    post:
      tags:
        - ome
      summary: Trigger Strategy
      description: Manually trigger a registered OME strategy and wait for completion.
      operationId: trigger_api_v1_ome_trigger_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TriggerRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TriggerResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    TriggerRequest:
      properties:
        name:
          type: string
          title: Name
        timeout:
          type: number
          title: Timeout
          default: 120
        force:
          type: boolean
          title: Force
          default: false
      type: object
      required:
        - name
      title: TriggerRequest
      description: Request body for ``POST /api/v1/ome/trigger``.
    TriggerResponse:
      properties:
        status:
          type: string
          title: Status
        name:
          type: string
          title: Name
      type: object
      required:
        - status
        - name
      title: TriggerResponse
      description: Response body for ``POST /api/v1/ome/trigger``.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````